﻿@using eBanking.ViewModels
@model UplatnicaRacunViewModel

@{
    ViewBag.Title = "Edit";
}

<h1>Izmeni transakciju: </h1>
<br />
@using (Html.BeginForm("Edit", "Uplatnica", FormMethod.Post))
{
    <input type="hidden" name="Uplatnica.Hitno" value="@Model.Uplatnica.Hitno" />
    <input type="hidden" name="Uplatnica.Id" value="@Model.Uplatnica.Id" />
    <table>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.Racun)</td>
            <td>@Html.DropDownListFor(m => m.Uplatnica.Racun.Id, new SelectList(Model.Racuni, "Id", "Nosilac"))</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.Uplatilac)</td>
            <td>@Html.TextBoxFor(m => m.Uplatnica.Uplatilac, new { @value = "Uplatnica.Uplatilac", @class = "form-control", @placeholder = "transant" })</td>
            <td>@Html.ValidationMessageFor(m => m.Uplatnica.Uplatilac)</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.IznosUplate)</td>
            <td>@Html.TextBoxFor(m => m.Uplatnica.IznosUplate, new { @value = "Uplatnica.IznosUplate", @class = "form-control", @placeholder = "iznos" })</td>
            <td>@Html.ValidationMessageFor(m => m.Uplatnica.IznosUplate)</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.DatumUplate)</td>
            <td>@Html.TextBoxFor(m => m.Uplatnica.DatumUplate, new { @value = "Uplatnica.DatumUplate", @class = "form-control", @placeholder = "дд.мм.гггг" })</td>
            <td>@Html.ValidationMessageFor(m => m.Uplatnica.DatumUplate)</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.SvrhaUplate)</td>
            <td>@Html.TextBoxFor(m => m.Uplatnica.SvrhaUplate, new { @value = "Uplatnica.SvrhaUplate", @class = "form-control", @placeholder = "svrha" })</td>
            <td>@Html.ValidationMessageFor(m => m.Uplatnica.SvrhaUplate)</td>
        </tr>
        <tr>
            <td><input type="submit" value="Izvrsi transakciju" class="btn btn-default" /></td>
            <td></td>
        </tr>
    </table>
}
<hr />
<a style="color: blue" href="~/Racun/Index">Povratak na glavnu stranicu</a>
